/**
 *  @file    literal.h
 *  @author  Guillaume Bour. 2002
 
 *  @version 0.1
 *    @date  05/02/2002

 *  literal values
 */
#ifndef _LITERAL_H_
#define _LITERAL_H_

#include <gtk/gtk.h>
#include "type.h"

/* literals definition                            */
struct s_literal {
  type_t type;           /**< literal type        */
  gpointer value;        /**< literal value       */
};

/*>>> functions prototypes                        */
struct s_literal *lit_alloc(type_t , ...);
void lit_free(gpointer , gpointer);
#ifdef DEBUG1
gchar *lit_debug(struct s_literal *);
#endif
#endif /* _LITERAL_H_ */
